Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-20565

Warning 4.36 breaks jobs using GNU C warnings

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Major
    • Resolution: Duplicate
    • warnings-plugin
    • None
    • All platforms

    Description

      All jobs I had (> 100) which had GNU compiler warnings are broken because the name of the warning parser has changed without any backward compatibility. I had to downgrade to version 4.35

      This change does not respect good practices regarding versioning and backward compatibility management (see http://semver.org/).

      Can this be fixed in a future release?

      Attachments

        Issue Links

          Activity

            There are no comments yet on this issue.

            People

              drulli Ulli Hafner
              gregoire Gregoire AUJAY
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: